> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Single Job

> Retrieve detailed information about a specific job.



## OpenAPI

````yaml /api-reference/openapi.json get /v2/jobs/view/{id}
openapi: 3.0.1
info:
  title: Hamsa API
  description: Trying out our transcription and media-to-text APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tryhamsa.com
security: []
paths:
  /v2/jobs/view/{id}:
    get:
      summary: Get Single Job
      description: Retrieve detailed information about a specific job.
      parameters:
        - in: path
          name: id
          required: true
          description: The unique identifier of the job
          schema:
            type: string
            format: uuid
            example: 48f7656f-098b-4c43-b165-7cfd2cc8ac30
        - in: query
          name: projectId
          required: true
          description: The unique identifier of the project
          schema:
            type: string
            format: uuid
            example: 48f7656f-098b-4c43-b165-7cfd2cc8ac30
      responses:
        '200':
          description: Successful response with job details
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/GetJobResponse'
        '400':
          description: Validation/Bad request error response
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ValidationErrorResponse'
                  - properties:
                      message:
                        type: string
                        example: Job Id is required
        '404':
          description: Not found error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundResponse'
        '500':
          description: Internal server error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    SuccessResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
          example: Operation completed successfully
        messageKey:
          type: string
          example: OPERATION_SUCCESSFUL
    GetJobResponse:
      type: object
      required:
        - id
        - title
        - type
        - status
        - cost
        - systemModelKey
        - createdAt
        - updatedAt
        - url
        - createdBy
        - attributes
      properties:
        id:
          type: string
          format: uuid
          example: 5b171552-c5f7-42a9-ad92-c7945460dbb5
        title:
          type: string
          example: >-
            كلام البيزنس اللي كلنا بنستناه في اي Deal | شارك تانك مصر | الموسم
            الرابع
          description: Job title
        type:
          type: string
          enum:
            - TRANSCRIPTION
            - AI_CONTENT
          example: TRANSCRIPTION
          description: Type of AI job
        status:
          type: string
          enum:
            - PENDING
            - PROCESSING
            - COMPLETED
            - FAILED
          example: COMPLETED
          description: Current job status
        cost:
          type: number
          example: 7
          description: Cost charged for this job
        systemModelKey:
          type: string
          example: HAMSA_GENERAL_V2.0
          description: Internal system model identifier
        createdAt:
          type: string
          format: date-time
          example: '2025-12-21T01:27:45.979Z'
        updatedAt:
          type: string
          format: date-time
          example: '2025-12-21T00:00:00.000Z'
        relevantJobId:
          type: string
          format: uuid
          nullable: true
          example: null
          description: Related job identifier, if applicable
        apiKey:
          type: string
          format: uuid
          nullable: true
          example: 89a66718-2e43-4c05-b5f0-93bc1ae4daf9
          description: API key used to create the job
        url:
          type: string
          format: uri
          example: https://www.youtube.com/watch?v=dLIKa3TimOM
          description: Source media URL
        createdBy:
          type: string
          format: uuid
          example: 82a59526-9925-4ac1-914a-033518bd712a
          description: User or project that created the job
        attributes:
          type: object
          description: Job-specific attributes
          required:
            - apiKey
            - mediaUrl
            - model
            - mediaType
          properties:
            apiKey:
              type: string
              format: uuid
              example: 89a66718-2e43-4c05-b5f0-93bc1ae4daf9
            mediaUrl:
              type: string
              format: uri
              example: https://www.youtube.com/watch?v=dLIKa3TimOM
            model:
              type: string
              example: Hamsa-General-V2.0
              description: Human-readable model name
            mediaType:
              type: string
              enum:
                - YOUTUBE
                - FILE
                - URL
              example: YOUTUBE
    ValidationErrorResponse:
      type: object
      properties:
        code:
          type: integer
          example: 9400
        message:
          type: string
          example: Field must be a string!
        messageKey:
          type: string
          example: FieldMustBeString
    NotFoundResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        code:
          type: integer
          example: 404
        message:
          type: string
          example: Resource not found
    InternalServerErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        code:
          type: integer
          example: 500
        message:
          type: string
          example: Internal server error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Pass the API key in the Authorization header, You need to put Token
        keyword before the API key. e.g. 'Authorization: Token <api-key>'

````